--File: .\assets\meshes\cars\small\90Coupe\body.lua
---------------------------------------------------
-- Copyright (c) 2015 -- Camshaft Software PTY LTD
-- All Rights Reserved
---------------------------------------------------




Body = 
{
	Name = "00sCoupeCorvette",
	
	MeshSkinned = "00sCoupeCorvette",
	MeshUnskinned = "00sCoupeCorvette_Unskinned",
	
	Thumb = "00sCoupeCorvette_Thumb.jpg",
	ThumbDemo = "80sCoupe01_Thumb_Grey.jpg",
	
	MorphWidth = 29,
	WheelBase = 2.88,
	FirewallRatio = 0.8, --How much of this extra length is firewall ?
	RearRatio = 0.58, --How much of this length is grown from the rear?
	--How much to extend the front of the chassis forwards of the front axle
	MorphNose = 55,
	MorphTail = 60,
	MorphRideHeight = 50, ---TESTING RIDE HEIGHT MORPHS HERE
	
	--Should Cargo Volume subtract from Passenger volume?
	CargoSubtracts = false,
	
	MaxWheelDiameter = 750, --In mm
	MinWheelDiameter = 650, --In mm
	
	--List of body type tags, choices are, "SEDAN", "WAGON", "HATCH", "COUPE", "SUV", "UTE", "MPV", "VAN",
	--You can have as many as you want, just don't forget the commas!
	Tags = { "COUPE", },
	
	Doors = 2,
	
	SeatOptions = 
	{
		2,
		4,
		5,
	},
		
	
	BodyBoxes =
	{
		Bottom = { Size = { 475, 80.4, }, Pos = { 21.6, 27.2  }  },
		Top = { Size = { 202, 35 }, Pos = { 62.4, 85.3 } },
	},	
	
	Year = 2006,
	
	--Drag & Lift (18/11/14)
	Cd = 0.2,
	ClFront = -0.025,
	ClRear = -0.03,
	
	
	Materials = 
	{
		ECS_BODY, --Front Paint
		ECS_BODY, --Middle Paint
		ECS_BODY, --Rear Paint
		ECS_GLASS,--Windows
		ECS_PLASTIC, --Plastic
		ECS_SEAM, --Front Seams
		ECS_SEAM, --Middle Seams
		ECS_CHROME, --Chrome
		ECS_SEAM, --Rear Seams
		ECS_TRANSPARENT, --Transparent
		ECS_CARGO, --Cargo
		
	},
	
	ProjectionMaterials =
	{
		Front = 1,
		Middle = 2,
		Rear = 3,
	},	
	
	ProjectionSeamMaterials =
	{
		Front = 6,
		Middle = 7,
		Rear = 9,
	},
	

}